package internal

import "strings"

type Event struct {
	Name string `json:"EventName"`
	Key  string `json:"Key"`
}

func (e *Event) Bucket() string {
	s := strings.SplitN(e.Key, "/", 2)
	return s[0]
}

func (e *Event) ObjectKey() string {
	s := strings.SplitN(e.Key, "/", 2)
	if len(s) == 2 {
		return s[1]
	}
	return ""
}
